com.threerings.stage.data

## Class StageSceneMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.stage.data.StageSceneMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.client.InvocationService, StageSceneService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from StageSceneService.java.")
    public class StageSceneMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements StageSceneService

Provides the implementation of the `StageSceneService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `ADD_OBJECT` The method id used to dispatch `addObject(com.threerings.miso.data.ObjectInfo, com.threerings.presents.client.InvocationService.ConfirmListener)` requests.
`static int` `REMOVE_OBJECTS` The method id used to dispatch `removeObjects(com.threerings.miso.data.ObjectInfo[], com.threerings.presents.client.InvocationService.ConfirmListener)` requests.

### Constructor Summary

Constructors
Constructor and Description
`StageSceneMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addObject(com.threerings.miso.data.ObjectInfo arg1, com.threerings.presents.client.InvocationService.ConfirmListener arg2)` Requests to add the supplied object to the current scene.
`void` `removeObjects(com.threerings.miso.data.ObjectInfo[] arg1, com.threerings.presents.client.InvocationService.ConfirmListener arg2)` Requests to remove the supplied objects from the current scene.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ADD_OBJECT

    public static final int ADD_OBJECT

The method id used to dispatch `addObject(com.threerings.miso.data.ObjectInfo, com.threerings.presents.client.InvocationService.ConfirmListener)` requests.

See Also:
  Constant Field Values

#### REMOVE_OBJECTS

    public static final int REMOVE_OBJECTS

The method id used to dispatch `removeObjects(com.threerings.miso.data.ObjectInfo[], com.threerings.presents.client.InvocationService.ConfirmListener)` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### StageSceneMarshaller

    public StageSceneMarshaller()

### Method Detail

#### addObject

    public void addObject(com.threerings.miso.data.ObjectInfo arg1,
                          com.threerings.presents.client.InvocationService.ConfirmListener arg2)

Description copied from interface: `StageSceneService`
Requests to add the supplied object to the current scene.

Specified by:
  `addObject` in interface `StageSceneService`

#### removeObjects

    public void removeObjects(com.threerings.miso.data.ObjectInfo[] arg1,
                              com.threerings.presents.client.InvocationService.ConfirmListener arg2)

Description copied from interface: `StageSceneService`
Requests to remove the supplied objects from the current scene.

Specified by:
  `removeObjects` in interface `StageSceneService`